Subject: Re: problems with ftpaccess

From: [email-masked] (Geoff Terry Systems & Net supt 064 923677)
Date: Tue, 21 Jan 1997 09:52:14 +1100 (EST)

Mike,
In the curreent release of wuftpd the -a cmd line option (which invokes the
ftpaccess file) is NOT the default (although it may have been in your
previous release).
check that you have the -a option in your inetd.conf 
eg.
ftp     stream  tcp     nowait  root    /local/sbin/in.tcpd /pub/ftp/in.ftpd
-a -u133

Geofft

>
>after some recently and not so recently discovered security problems with 
>our wu-ftp 2.4 (which was installed in good 'ol 1994 =)  i downloaded 
>the newest academ beta 11, made a couple of recommended patches, built and
>installed it.  it works fine except that it doesn't seem to be honoring
>our ftpaccess file.  i've checked and double checked the '#includes'.
>i went so far as to eliminate all of the '#ifdefs' execept the ones we need.
>
>the bin/ckconfig program that it comes with finds ftpaccess in the 
>correct place, but messages and rules aren't applied.  is there something
>obvious that im missing?  ( running SunOS xxxxxx 4.1.3 12 sun4m ).
>
>help is appreciated .  please CC responses back to me as im not 
>subscribed at the moment, but hopefully soon will be.
>
>//Michael.
>
>
> .   +      . ^   
>,      \|/    michael jastremski ( [email-masked] 
>   *  -[ ]-   http://newsroom.temple.edu ) http://thunder.temple.edu/~mjastrem
> .     /|\    planet temple university // philadelphia, USA
>   0       .  
>
>
>
>
Geoff Terry    Systems & Network Support
ACR Net        Sapphire Coast NSW 2550
Australia
Ph 064 923677  Mobile 015 668 227 Fax 064 924594

---

From: [email-masked] (Geoff Terry Systems & Net supt 064 923677)
Date: Tue, 21 Jan 1997 10:08:20 +1100 (EST)

Mike,
In the current release of wuftpd the -a cmd line option (which invokes the
ftpaccess file) is NOT the default (although it may have been in your
previous release).
check that you have the -a option in your inetd.conf 
eg.
ftp     stream  tcp     nowait  root    /local/sbin/in.tcpd /pub/ftp/in.ftpd
-a -u133

Geofft